> For the complete documentation index, see [llms.txt](https://docs.parallels.com/landing/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.parallels.com/landing/ras-powershell-api-guide/rasadmin/cmdlets/add-rasschedulemessage.md).

# Add-RASScheduleMessage

## SYNOPSIS

Adds schedule message information for a Schedule.

## SYNTAX

```powershell
Add-RASScheduleMessage [-Id] <uint> -Message <string> -MessageTitle <string>
 -ObjType {RDS | VDI | AVD} [-Enabled <bool>] [-SendMsgSecs <uint>] [-SendMsgWhen {Before | After}]
 [<CommonParameters>]
```

```powershell
Add-RASScheduleMessage [-Name] <string> [[-SiteId] <uint>] -Message <string> -MessageTitle <string>
 -ObjType {RDS | VDI | AVD} [-Enabled <bool>] [-SendMsgSecs <uint>] [-SendMsgWhen {Before | After}]
 [<CommonParameters>]
```

## DESCRIPTION

Adds schedule message information for a Schedule.

## EXAMPLES

### Example 1

```powershell
Add-RASScheduleMessage -ObjType VDI -Name "SchedItem" -Enabled 0 -SendMsgSecs 60 -MessageTitle "messageTitle" -Message "messageBody"
```

Adds a Message to the schedule item specified by name, set to send 1 minute before schedule trigger.

### Example 2

```powershell
Add-RASScheduleMessage -ObjType VDI -Id 2 -Enabled 1 -SendMsgSecs 120 -MessageTitle "messageTitle" -Message "messageBody"
```

Adds a Message to the schedule item specified by id, set to send 2 minutes before schedule trigger.

## PARAMETERS

### -Enabled

Whether to enable or disable the message.

```yaml
Type: bool
Required: False
Position: Named
Default value: True
Accept pipeline input: False
Accept wildcard characters: False
```

### -MessageTitle

The title of the message.

```yaml
Type: string
Required: True
Position: Named
Default value: None
Accept pipeline input: False
Accept wildcard characters: False
```

### -Message

A message that should be sent to users before the job starts.

```yaml
Type: string
Required: True
Position: Named
Default value: None
Accept pipeline input: False
Accept wildcard characters: False
```

### -SendMsgSecs

Time interval in seconds before the job starts when the message to users should be sent.

```yaml
Type: uint
Required: False
Position: Named
Default value: 900
Accept pipeline input: False
Accept wildcard characters: False
```

### -SendMsgWhen

Whether the message is sent Before/After the schedule is triggered.

Send Message When can only be set to After in the case of Reboot.

Possible values: Before, After

Type reference: [SendMsgWhen](https://docs.parallels.com/landing/ras-powershell-api-guide/rasadmin/types/sendmsgwhen.md)

```yaml
Type: SendMsgWhen
Required: False
Position: Named
Default value: Before
Accept pipeline input: False
Accept wildcard characters: False
```

### -Name

Scheduler job name.

```yaml
Type: string
Required: True
Position: 0
Default value: None
Accept pipeline input: False
Accept wildcard characters: False
```

### -SiteId

Site ID to modify the schedule job.

```yaml
Type: uint
Required: False
Position: 1
Default value: 0
Accept pipeline input: False
Accept wildcard characters: False
```

### -Id

Scheduler job ID.

```yaml
Type: uint
Required: True
Position: 0
Default value: 0
Accept pipeline input: False
Accept wildcard characters: False
```

### -ObjType

Schedule message object type.

Possible values: RDS, VDI, AVD

Type reference: [ScheduleObjType](https://docs.parallels.com/landing/ras-powershell-api-guide/rasadmin/types/scheduleobjtype.md)

```yaml
Type: ScheduleObjType
Required: True
Position: Named
Default value: 0
Accept pipeline input: False
Accept wildcard characters: False
```

### CommonParameters

This cmdlet supports the common parameters: -Debug, -ErrorAction, -ErrorVariable, -InformationAction, -InformationVariable, -OutVariable, -OutBuffer, -PipelineVariable, -Verbose, -WarningAction, and -WarningVariable. For more information, see [about\_CommonParameters](https://go.microsoft.com/fwlink/?LinkID=113216).

## INPUTS

### None

## OUTPUTS

### [ScheduleMessage](https://docs.parallels.com/landing/ras-powershell-api-guide/rasadmin/types/schedulemessage.md)

## RELATED LINKS

* [Get-RASSchedule](https://docs.parallels.com/landing/ras-powershell-api-guide/rasadmin/cmdlets/get-rasschedule.md)
* [Get-RASScheduleMessage](https://docs.parallels.com/landing/ras-powershell-api-guide/rasadmin/cmdlets/get-rasschedulemessage.md)
* [Set-RASScheduleMessage](https://docs.parallels.com/landing/ras-powershell-api-guide/rasadmin/cmdlets/set-rasschedulemessage.md)
* [Remove-RASScheduleMessage](https://docs.parallels.com/landing/ras-powershell-api-guide/rasadmin/cmdlets/remove-rasschedulemessage.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.parallels.com/landing/ras-powershell-api-guide/rasadmin/cmdlets/add-rasschedulemessage.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
